function Sgmt=mt_est(X, p, delta)
[n,k]=size(X);
Sig=zeros(k,k);
Rhor=zeros(k,k);
Rho=zeros(k,k);
threshold=norminv(1-p/2/(k^delta),0,1);

for i=1:k
    for j=1:k
        %get tmin and tmax for ui and uj
        ui=X(:,i);
        uj=X(:,j);
        ai=ui-mean(ui);
        bi=uj-mean(uj);
        sigij=ai'*bi/(n-1);
        sigii=ai'*ai/(n-1);
        sigjj=bi'*bi/(n-1);

        Sig(i,j)=sigij; 
        Rho(i,j)=sigij/( (sigii*sigjj )^0.5);
        if abs(Rho(i,j))>threshold/(n^0.5)
            Rhor(i,j)=Rho(i,j);
        end
    end %j
end %i

Sig_d=diag(diag(Sig));

D=Sig_d.^0.5;

Rhor=(Rhor*Rhor')^0.5;
Sgmt=D*Rhor*D;

% make sure Sgmt is positive definite;

% Sgmt=(Sgmt*Sgmt')^0.5;
return
