% This script loads mat files from  cluster jobs and saves selected results to Excel files. Please see ReadMe.txt for details. 

load('expF_phi4_1.mat');

exp=[1,2,4];
phis=[0.4,0.6,0.8,0.9];

tic
for d1=d1_start           : idex(1)
for d2=d2_start           : idex(2)
for d3=d3_start           : idex(3)   
for d4=d4_start           : idex(4) 
for d5=d5_start           : idex(5) 
for d6=d6_start           : idex(6)
for d7=d7_start           : idex(7)
for d8=d8_start           : idex(8)

    
 eid=experimentID_sp(d1,d2,d3,d4,d5,d6,d7,d8, Ns, Ts,R);
  experiments=[1,2,4]; %[1,2,4]; %[4,2,1,5]; %
for phi=phis  
 if  sum(eid.no==experiments)==1
     eid.no
     ext=['phi',int2str(phi*10),'_'];
     
    file_m=strcat('expF_',ext,int2str(eid.no),'.mat');
    load(file_m);
    path=pwd;
    matlab_results_file='\expF_';
    [matlab_results_file,ext,int2str(eid.no),'.xls']
     file_saveE5=strcat(path,matlab_results_file,ext,int2str(eid.no),'.xls');
     if eid.no==1
         rho=0;
         kappa=0;
     end
     if eid.no==2
         rho=0;
         kappa=1;
     end
     if eid.no==4
         rho=0.8;
         kappa=1;
     end
     save_Excel_5_ARF(file_saveE5, S, Rr, d1,d2,d3,d4,d5,d6,d7,d8, NoEst, eid, phi, rho, kappa); 
 
 end %if
end %phi
end %d8
end %d7
end %d6
end %d5
end %d4
end %d3
end %d2
end %d1
toc

disp('All done - results are saved in Excel files.')





